% Approximation of values (x(i),y(i))for i=1,..,N 
% by a function f(x)=a(1)*x^M+a(2)*x^(M-1)+...+a(M)*x+a(M+1), M=2
% Definition of given values
    x=[0 0.2 0.5 0.7 0.8 1 1.2 1.6 1.9 2]';
    y=[5.2 4.3 4.4 4.9 5.5 6 6.2 8.4 8.9 10.9]';
% Definition of the matrix of normal equations and its solution
    A=[sum(x.^4) sum(x.^3) sum(x.^2);...
       sum(x.^3) sum(x.^2) sum(x);...
       sum(x.^2) sum(x)    length(x)];
    b=[sum(x.^2.*y) sum(x.*y) sum(y)]'; a=inv(A)*b
% Plot of given and approximation values
    xx=[0:0.05:2]'; f=a(1)*xx.^2+a(2)*xx+a(3); plot(x,y,'or',xx,f);
    grid on; xlabel('x'); ylabel('y'); title('APPROXIMATION');